View Issue Details

IDProjectCategoryView StatusLast Update
0000879bareos-core[All Projects] directorpublic2017-11-29 11:25
Reporterchaos_prevailsAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformLinuxOSUbuntuOS Version16.04 amd64
Product Version16.2.4 
Target VersionFixed in Version 
Summary0000879: "wrong" end time of VirtualFull job prevents verifying this job
DescriptionThe VirtualFull Job initiated by consolidate receives the "end time" of the last consolidated job.

This leads to the situation that the Verify job of the VirtualFull job verifies the last (non-consolidated) incremental job, but not the VirtualFull job.

E.g. in provided example (see additional information)
1) jobid 603 with end time 10:50:34 is the last incremental job consolidated in jobid 609
2) jobid 604 with end time 10:50:39 is the incremental job correctly not consolidated any more but wrongly verified by jobid 610
3) jobid 609 with end time 10:50:34 (I assume received by jobid 603) is not verified
4) jobid 610 is the verify job which verifies 604, but not 609
Steps To Reproduce1) have a always incremental job with verify e.g. volumetocatalog
2) start consolidate
3) -> initiated virtualFull job doesn't get verified

Solution:
Verify job should verify the VirtualFull job (e.g. the virtualFull job should get the real endtime, not the endtime of the last consolidated job). Or there should be a way to tell which job to verify (e.g. via jobid).
Additional Information#### configuration ####

JobDefs {
  Name = "default_ai"
  Type = Backup
  Level = Incremental
  Client = DIR-fd
  Messages = Standard
  Priority = 40
  Write Bootstrap = "|/usr/local/bin/bareos-messages.sh \"[Bootstrap] %j (%d: jobid %i)\" %i \"it@XXXXXX\" %c-%n"
  Maximum Concurrent Jobs = 7

  #Allow Duplicate Jobs = no #doesn't work with virtualFull Job
  #Cancel Lower Level Duplicates = yes
  #Cancel Queued Duplicates = yes


  #always incremental config
  Pool = disk_ai
  #Incremental Backup Pool = disk_ai
  Full Backup Pool = disk_ai_consolidate
  Storage = DIR-file
  Accurate = yes
  Always Incremental = yes
  Always Incremental Job Retention = 7 days
  Always Incremental Keep Number = 7
  Always Incremental Max Full Age = 14 days
}

JobDefs {
  Name = "default_verify"
  Type = Verify
  Level = Full
  Client = DIR-fd
  FileSet = none
  Schedule = manual
  Accurate = yes
  Storage = DIR-file
  Messages = Standard
  Priority = 10
  Pool = Incremental
  Full Backup Pool = Full # write Full Backups into "Full" Pool (0000005)
  Differential Backup Pool = Differential # write Diff Backups into "Differential" Pool (0000008)
  Incremental Backup Pool = Incremental # write Incr Backups into "Incremental" Pool (0000011)
  Write Bootstrap = "|/usr/local/bin/bareos-messages.sh \"[Bootstrap] %j (%d: jobid %i)\" %i \"it@XXXXXX\" %c-%n"
}


Job {
  Name = "client1_sys_ai"
  JobDefs = "default_ai"
  Client = "client1-fd"
  FileSet = linux_common
  Schedule = client1_sys_ai
  RunAfterJob = "/bin/bash -c '/bin/echo \"run client1_sys_ai_v yes\" | bconsole >/dev/null'"
}

Job {
  Name = client1_sys_ai_v
  JobDefs = default_verify
  Verify Job = client1_sys_ai
  Level = VolumeToCatalog
  Client = client1-fd
  FileSet = linux_common
  Schedule = manual
  Pool = disk_ai
  Priority = 41
}



#### Joblogs ####


*Joblog - (last consolidated job)*
Connecting to Director localhost:9101
1000 OK: DIR-dir Version: 16.2.4 (01 July 2016)
Enter a period to cancel a command.
list joblog jobid=603
Automatically selected Catalog: MyCatalog
Using Catalog "MyCatalog"
 2017-11-29 10:50:11 DIR-dir JobId 603: Start Backup JobId 603, Job=client1_sys_ai.2017-11-29_10.48.57_06
 2017-11-29 10:50:11 DIR-dir JobId 603: Using Device "DIR-file" to write.
 2017-11-29 10:50:12 DIR-dir JobId 603: Sending Accurate information.
 2017-11-29 10:50:12 DIR-sd JobId 603: Volume "ai_inc-0038" previously written, moving to end of data.
 2017-11-29 10:50:12 DIR-sd JobId 603: Ready to append to end of Volume "ai_inc-0038" size=367999923
 2017-11-29 10:50:34 DIR-sd JobId 603: Elapsed time=00:00:22, Transfer rate=6.326 M Bytes/second
 2017-11-29 10:50:35 DIR-dir JobId 603: Bareos DIR-dir 16.2.4 (01Jul16):
  Build OS: x86_64-pc-linux-gnu ubuntu Ubuntu 16.04 LTS
  JobId: 603
  Job: client1_sys_ai.2017-11-29_10.48.57_06
  Backup Level: Incremental, since=2017-11-29 10:38:31
  Client: "client1-fd" 16.2.4 (01Jul16) x86_64-pc-linux-gnu,ubuntu,Ubuntu 14.04 LTS,xUbuntu_14.04,x86_64
  FileSet: "linux_common" 2017-11-28 18:30:00
  Pool: "disk_ai" (From Job resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "DIR-file" (From Pool resource)
  Scheduled time: 29-Nov-2017 10:48:57
  Start time: 29-Nov-2017 10:50:12
  End time: 29-Nov-2017 10:50:34
  Elapsed time: 22 secs
  Priority: 40
  FD Files Written: 127
  SD Files Written: 127
  FD Bytes Written: 139,101,392 (139.1 MB)
  SD Bytes Written: 139,190,405 (139.1 MB)
  Rate: 6322.8 KB/s
  Software Compression: 60.7 % (lz4hc)
  VSS: no
  Encryption: yes
  Accurate: yes
  Volume name(s): ai_inc-0038
  Volume Session Id: 38
  Volume Session Time: 1511884549
  Last Volume Bytes: 507,406,172 (507.4 MB)
  Non-fatal FD errors: 0
  SD Errors: 0
  FD termination status: OK
  SD termination status: OK
  Termination: Backup OK


*Joblog (job which gets wrongly verified by virtualfull-verification job)*
Connecting to Director localhost:9101
1000 OK: DIR-dir Version: 16.2.4 (01 July 2016)
Enter a period to cancel a command.
list joblog jobid=604
Automatically selected Catalog: MyCatalog
Using Catalog "MyCatalog"
 2017-11-29 10:50:37 DIR-dir JobId 604: Start Backup JobId 604, Job=client1_sys_ai.2017-11-29_10.49.02_07
 2017-11-29 10:50:37 DIR-dir JobId 604: Using Device "DIR-file" to write.
 2017-11-29 10:50:38 DIR-dir JobId 604: Sending Accurate information.
 2017-11-29 10:50:39 DIR-sd JobId 604: Volume "ai_inc-0038" previously written, moving to end of data.
 2017-11-29 10:50:39 DIR-sd JobId 604: Ready to append to end of Volume "ai_inc-0038" size=507406172
 2017-11-29 10:50:39 DIR-sd JobId 604: Elapsed time=00:00:01, Transfer rate=0 Bytes/second
 2017-11-29 10:50:39 DIR-dir JobId 604: Bareos DIR-dir 16.2.4 (01Jul16):
  Build OS: x86_64-pc-linux-gnu ubuntu Ubuntu 16.04 LTS
  JobId: 604
  Job: client1_sys_ai.2017-11-29_10.49.02_07
  Backup Level: Incremental, since=2017-11-29 10:38:31
  Client: "client1-fd" 16.2.4 (01Jul16) x86_64-pc-linux-gnu,ubuntu,Ubuntu 14.04 LTS,xUbuntu_14.04,x86_64
  FileSet: "linux_common" 2017-11-28 18:30:00
  Pool: "disk_ai" (From Job resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "DIR-file" (From Pool resource)
  Scheduled time: 29-Nov-2017 10:49:01
  Start time: 29-Nov-2017 10:50:38
  End time: 29-Nov-2017 10:50:39
  Elapsed time: 1 sec
  Priority: 40
  FD Files Written: 0
  SD Files Written: 0
  FD Bytes Written: 0 (0 B)
  SD Bytes Written: 0 (0 B)
  Rate: 0.0 KB/s
  Software Compression: None
  VSS: no
  Encryption: yes
  Accurate: yes
  Volume name(s):
  Volume Session Id: 39
  Volume Session Time: 1511884549
  Last Volume Bytes: 0 (0 B)
  Non-fatal FD errors: 0
  SD Errors: 0
  FD termination status: OK
  SD termination status: OK
  Termination: Backup OK

*Joblog (of virtualfull job, initiated by consolidate)*
Connecting to Director localhost:9101
1000 OK: DIR-dir Version: 16.2.4 (01 July 2016)
Enter a period to cancel a command.
list joblog jobid=609
Automatically selected Catalog: MyCatalog
Using Catalog "MyCatalog"
 2017-11-29 10:53:09 DIR-dir JobId 609: Start Virtual Backup JobId 609, Job=client1_sys_ai.2017-11-29_10.53.05_40
 2017-11-29 10:53:09 DIR-dir JobId 609: Consolidating JobIds 593,596,603
 2017-11-29 10:53:09 DIR-dir JobId 609: Bootstrap records written to /var/lib/bareos/DIR-dir.restore.20.bsr
 2017-11-29 10:53:10 DIR-dir JobId 609: Using Device "DIR-file" to read.
 2017-11-29 10:53:10 DIR-dir JobId 609: Using Device "DIR-file-consolidate" to write.
 2017-11-29 10:53:10 DIR-sd JobId 609: Ready to read from volume "ai_inc-0038" on device "DIR-file" (/mnt/client1/mnt_crypt_backup_bareos).
 2017-11-29 10:53:10 DIR-sd JobId 609: Volume "ai_consolidate-0037" previously written, moving to end of data.
 2017-11-29 10:53:10 DIR-sd JobId 609: Ready to append to end of Volume "ai_consolidate-0037" size=432352027
 2017-11-29 10:53:10 DIR-sd JobId 609: Forward spacing Volume "ai_inc-0038" to file:block 0:122455323.
 2017-11-29 10:53:37 DIR-sd JobId 609: End of Volume at file 0 on device "DIR-file" (/mnt/client1/mnt_crypt_backup_bareos), Volume "ai_inc-0038"
 2017-11-29 10:53:37 DIR-sd JobId 609: End of all volumes.
 2017-11-29 10:53:37 DIR-sd JobId 609: Elapsed time=00:00:27, Transfer rate=8.357 M Bytes/second
 2017-11-29 10:53:37 DIR-dir JobId 609: Joblevel was set to joblevel of first consolidated job: Incremental
 2017-11-29 10:53:38 DIR-dir JobId 609: Bareos DIR-dir 16.2.4 (01Jul16):
  Build OS: x86_64-pc-linux-gnu ubuntu Ubuntu 16.04 LTS
  JobId: 609
  Job: client1_sys_ai.2017-11-29_10.53.05_40
  Backup Level: Virtual Full
  Client: "client1-fd" 16.2.4 (01Jul16) x86_64-pc-linux-gnu,ubuntu,Ubuntu 14.04 LTS,xUbuntu_14.04,x86_64
  FileSet: "linux_common" 2017-11-28 18:30:00
  Pool: "disk_ai_consolidate" (From Job Pool's NextPool resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "DIR-file-consolidate" (From Storage from Pool's NextPool resource)
  Scheduled time: 29-Nov-2017 10:53:05
  Start time: 29-Nov-2017 10:50:12
  End time: 29-Nov-2017 10:50:34
  Elapsed time: 22 secs
  Priority: 40
  SD Files Written: 449
  SD Bytes Written: 225,652,009 (225.6 MB)
  Rate: 10256.9 KB/s
  Volume name(s): ai_consolidate-0037
  Volume Session Id: 41
  Volume Session Time: 1511884549
  Last Volume Bytes: 658,344,926 (658.3 MB)
  SD Errors: 0
  SD termination status: OK
  Accurate: yes
  Termination: Backup OK


*Joblog (of verify job, wrongly verifies jobid 604 and not jobid 609)*
Connecting to Director localhost:9101
1000 OK: DIR-dir Version: 16.2.4 (01 July 2016)
Enter a period to cancel a command.
list joblog jobid=610
Automatically selected Catalog: MyCatalog
Using Catalog "MyCatalog"
 2017-11-29 10:53:44 DIR-dir JobId 610: Verifying against JobId=604 Job=client1_sys_ai.2017-11-29_10.49.02_07
 2017-11-29 10:53:44 DIR-dir JobId 610: No files found to read. No bootstrap file written.
 2017-11-29 10:53:44 DIR-dir JobId 610: Bareos DIR-dir 16.2.4 (01Jul16):
  Build OS: x86_64-pc-linux-gnu ubuntu Ubuntu 16.04 LTS
  JobId: 610
  Job: client1_sys_ai_v.2017-11-29_10.53.39_49
  FileSet: linux_system
  Verify Level: VolumeToCatalog
  Client: client1-fd
  Verify JobId: 604
  Verify Job: client1_sys_ai
  Start time: 29-Nov-2017 10:53:44
  End time: 29-Nov-2017 10:53:44
  Files Expected: 0
  Files Examined: 0
  Non-fatal FD errors: 0
  FD termination status:
  SD termination status:
  Termination: Verify OK
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-11-29 11:25 chaos_prevails New Issue